Skip to main content
POST
Initiate Company Merge

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for initiating a company merge

primaryCompanyId
integer<int64>
required

The ID of the company profile that will be kept after the merge. All data from the duplicate company will be merged into this company.

Required range: 1 <= x <= 9007199254740991
Example:

12345

duplicateCompanyId
integer<int64>
required

The ID of the company profile that will be merged and then deleted. All data from this company will be transferred to the primary company.

Required range: 1 <= x <= 9007199254740991
Example:

67890

Response

Accepted

Response body for initiating a company merge

taskUrl
string<uri>
required

URL to check the status of the merge task

Example:

"https://api.affinit.com/tasks/company-merges/123e4567-e89b-12d3-a456-426614174000"